# Microsoft.Samples.DirectX.UtilityToolkit.Dialog Class Reference

All controls must be assigned to a dialog, which handles input and rendering for the controls. More...

Collaboration diagram for Microsoft.Samples.DirectX.UtilityToolkit.Dialog:

[legend]

List of all members.

## Public Member Functions
void | SetLocation (int x, int y)
| Called to set dialog's location.
void | SetSize (int w, int h)
| Called to set dialog's size.
void | SetCaptionText (string text)
| Called to set dialog's caption.
void | SetCaptionEnabled (bool isEnabled)
| Called to set dialog's caption enabled state.
void | SetBackgroundColors (ColorValue topLeft, ColorValue topRight, ColorValue bottomLeft, ColorValue bottomRight)
| Called to set dialog's border colors.
void | SetBackgroundColors (ColorValue allCorners)
| Called to set dialog's border colors.
| Dialog (Framework sample)
| Create a new instance of the dialog class.
void | RemoveAllControls ()
| Removes all controls from this dialog.
void | ClearRadioButtonGroup (uint groupIndex)
| Clears the radio button group.
void | ClearComboBox (int id)
| Clears the combo box of all items.
bool | MessageProc (IntPtr hWnd, NativeMethods.WindowMessage msg, IntPtr wParam, IntPtr lParam)
| Handle messages for this dialog.
void | SetControlEnable (int id, bool isenabled)
| Sets the control enabled property.
bool | GetControlEnable (int id)
| Gets the control enabled property.
Control | GetControlAtPoint (System.Drawing.Point pt)
| Returns the control located at a point (if one exists).
Control | GetControl (int id)
| Returns the control located at this index(if one exists).
Control | GetControl (int id, ControlType typeControl)
| Returns the control located at this index of this type(if one exists).
StaticText | GetStaticText (int id)
| Returns the static text control located at this index(if one exists).
Button | GetButton (int id)
| Returns the button control located at this index(if one exists).
Checkbox | GetCheckbox (int id)
| Returns the checkbox control located at this index(if one exists).
RadioButton | GetRadioButton (int id)
| Returns the radio button control located at this index(if one exists).
ComboBox | GetComboBox (int id)
| Returns the combo box control located at this index(if one exists).
Slider | GetSlider (int id)
| Returns the slider control located at this index(if one exists).
ListBox | GetListBox (int id)
| Returns the listbox control located at this index(if one exists).
void | SetDefaultElement (ControlType ctype, uint index, Element e)
| Sets the default element.
Element | GetDefaultElement (ControlType ctype, uint index)
| Gets the default element.
void | SetFont (uint index, string faceName, uint height, FontWeight weight)
| Shared resource access. Indexed fonts and textures are shared among all the controls.
FontNode | GetFont (uint index)
| Shared resource access. Indexed fonts and textures are shared among all the controls.
void | SetTexture (uint index, string filename)
| Shared resource access. Indexed fonts and textures are shared among all the controls.
TextureNode | GetTexture (uint index)
| Shared resource access. Indexed fonts and textures are shared among all the controls.
void | InitializeControl (Control control)
| Initializes a control.
void | AddControl (Control control)
| Adds a control to the dialog.
StaticText | AddStatic (int id, string text, int x, int y, int w, int h, bool isDefault)
| Adds a static text control to the dialog.
StaticText | AddStatic (int id, string text, int x, int y, int w, int h)
| Adds a static text control to the dialog.
Button | AddButton (int id, string text, int x, int y, int w, int h, System.Windows.Forms.Keys hotkey, bool isDefault)
| Adds a button control to the dialog.
Button | AddButton (int id, string text, int x, int y, int w, int h)
| Adds a button control to the dialog.
Checkbox | AddCheckBox (int id, string text, int x, int y, int w, int h, bool ischecked, System.Windows.Forms.Keys hotkey, bool isDefault)
| Adds a checkbox to the dialog.
Checkbox | AddCheckBox (int id, string text, int x, int y, int w, int h, bool ischecked)
| Adds a checkbox control to the dialog.
RadioButton | AddRadioButton (int id, uint groupId, string text, int x, int y, int w, int h, bool ischecked, System.Windows.Forms.Keys hotkey, bool isDefault)
| Adds a radiobutton to the dialog.
RadioButton | AddRadioButton (int id, uint groupId, string text, int x, int y, int w, int h, bool ischecked)
| Adds a radio button control to the dialog.
ComboBox | AddComboBox (int id, int x, int y, int w, int h, System.Windows.Forms.Keys hotkey, bool isDefault)
| Adds a combobox control to the dialog.
ComboBox | AddComboBox (int id, int x, int y, int w, int h)
| Adds a combobox control to the dialog.
Slider | AddSlider (int id, int x, int y, int w, int h, int min, int max, int initialValue, bool isDefault)
| Adds a slider control to the dialog.
Slider | AddSlider (int id, int x, int y, int w, int h)
| Adds a slider control to the dialog.
ListBox | AddListBox (int id, int x, int y, int w, int h, ListBoxStyle style)
| Adds a listbox control to the dialog.
ListBox | AddListBox (int id, int x, int y, int w, int h)
| Adds a listbox control to the dialog.
EditBox | AddEditBox (int id, string text, int x, int y, int w, int h, bool isDefault)
| Adds an edit box control to the dialog.
EditBox | AddEditBox (int id, string text, int x, int y, int w, int h)
| Adds an edit box control to the dialog.
void | OnRender (float elapsedTime)
| Render the dialog.
void | DrawText (string text, Element element, System.Drawing.Rectangle rect, bool shadow)
| Draw's some text.
void | DrawSprite (Element element, System.Drawing.Rectangle rect)
| Draw a sprite.
void | DrawText (string text, Element element, System.Drawing.Rectangle rect)
| Draw's some text.
void | DrawRectangle (System.Drawing.Rectangle rect, ColorValue color)
| Draw a rectangle.
void | SetLocation (int x, int y)
| Called to set dialog's location.
void | SetSize (int w, int h)
| Called to set dialog's size.
void | SetCaptionText (string text)
| Called to set dialog's caption.
void | SetCaptionEnabled (bool isEnabled)
| Called to set dialog's caption enabled state.
void | SetBackgroundColors (ColorValue topLeft, ColorValue topRight, ColorValue bottomLeft, ColorValue bottomRight)
| Called to set dialog's border colors.
void | SetBackgroundColors (ColorValue allCorners)
| Called to set dialog's border colors.
| Dialog (Framework sample)
| Create a new instance of the dialog class.
void | RemoveAllControls ()
| Removes all controls from this dialog.
void | ClearRadioButtonGroup (uint groupIndex)
| Clears the radio button group.
void | ClearComboBox (int id)
| Clears the combo box of all items.
bool | MessageProc (IntPtr hWnd, NativeMethods.WindowMessage msg, IntPtr wParam, IntPtr lParam)
| Handle messages for this dialog.
void | SetControlEnable (int id, bool isenabled)
| Sets the control enabled property.
bool | GetControlEnable (int id)
| Gets the control enabled property.
Control | GetControlAtPoint (System.Drawing.Point pt)
| Returns the control located at a point (if one exists).
Control | GetControl (int id)
| Returns the control located at this index(if one exists).
Control | GetControl (int id, ControlType typeControl)
| Returns the control located at this index of this type(if one exists).
StaticText | GetStaticText (int id)
| Returns the static text control located at this index(if one exists).
Button | GetButton (int id)
| Returns the button control located at this index(if one exists).
Checkbox | GetCheckbox (int id)
| Returns the checkbox control located at this index(if one exists).
RadioButton | GetRadioButton (int id)
| Returns the radio button control located at this index(if one exists).
ComboBox | GetComboBox (int id)
| Returns the combo box control located at this index(if one exists).
Slider | GetSlider (int id)
| Returns the slider control located at this index(if one exists).
ListBox | GetListBox (int id)
| Returns the listbox control located at this index(if one exists).
void | SetDefaultElement (ControlType ctype, uint index, Element e)
| Sets the default element.
Element | GetDefaultElement (ControlType ctype, uint index)
| Gets the default element.
void | SetFont (uint index, string faceName, uint height, FontWeight weight)
| Shared resource access. Indexed fonts and textures are shared among all the controls.
FontNode | GetFont (uint index)
| Shared resource access. Indexed fonts and textures are shared among all the controls.
void | SetTexture (uint index, string filename)
| Shared resource access. Indexed fonts and textures are shared among all the controls.
TextureNode | GetTexture (uint index)
| Shared resource access. Indexed fonts and textures are shared among all the controls.
void | InitializeControl (Control control)
| Initializes a control.
void | AddControl (Control control)
| Adds a control to the dialog.
StaticText | AddStatic (int id, string text, int x, int y, int w, int h, bool isDefault)
| Adds a static text control to the dialog.
StaticText | AddStatic (int id, string text, int x, int y, int w, int h)
| Adds a static text control to the dialog.
Button | AddButton (int id, string text, int x, int y, int w, int h, System.Windows.Forms.Keys hotkey, bool isDefault)
| Adds a button control to the dialog.
Button | AddButton (int id, string text, int x, int y, int w, int h)
| Adds a button control to the dialog.
Checkbox | AddCheckBox (int id, string text, int x, int y, int w, int h, bool ischecked, System.Windows.Forms.Keys hotkey, bool isDefault)
| Adds a checkbox to the dialog.
Checkbox | AddCheckBox (int id, string text, int x, int y, int w, int h, bool ischecked)
| Adds a checkbox control to the dialog.
RadioButton | AddRadioButton (int id, uint groupId, string text, int x, int y, int w, int h, bool ischecked, System.Windows.Forms.Keys hotkey, bool isDefault)
| Adds a radiobutton to the dialog.
RadioButton | AddRadioButton (int id, uint groupId, string text, int x, int y, int w, int h, bool ischecked)
| Adds a radio button control to the dialog.
ComboBox | AddComboBox (int id, int x, int y, int w, int h, System.Windows.Forms.Keys hotkey, bool isDefault)
| Adds a combobox control to the dialog.
ComboBox | AddComboBox (int id, int x, int y, int w, int h)
| Adds a combobox control to the dialog.
Slider | AddSlider (int id, int x, int y, int w, int h, int min, int max, int initialValue, bool isDefault)
| Adds a slider control to the dialog.
Slider | AddSlider (int id, int x, int y, int w, int h)
| Adds a slider control to the dialog.
ListBox | AddListBox (int id, int x, int y, int w, int h, ListBoxStyle style)
| Adds a listbox control to the dialog.
ListBox | AddListBox (int id, int x, int y, int w, int h)
| Adds a listbox control to the dialog.
EditBox | AddEditBox (int id, string text, int x, int y, int w, int h, bool isDefault)
| Adds an edit box control to the dialog.
EditBox | AddEditBox (int id, string text, int x, int y, int w, int h)
| Adds an edit box control to the dialog.
void | OnRender (float elapsedTime)
| Render the dialog.
void | DrawText (string text, Element element, System.Drawing.Rectangle rect, bool shadow)
| Draw's some text.
void | DrawSprite (Element element, System.Drawing.Rectangle rect)
| Draw a sprite.
void | DrawText (string text, Element element, System.Drawing.Rectangle rect)
| Draw's some text.
void | DrawRectangle (System.Drawing.Rectangle rect, ColorValue color)
| Draw a rectangle.
void | SetLocation (int x, int y)
| Called to set dialog's location.
void | SetSize (int w, int h)
| Called to set dialog's size.
void | SetCaptionText (string text)
| Called to set dialog's caption.
void | SetCaptionEnabled (bool isEnabled)
| Called to set dialog's caption enabled state.
void | SetBackgroundColors (ColorValue topLeft, ColorValue topRight, ColorValue bottomLeft, ColorValue bottomRight)
| Called to set dialog's border colors.
void | SetBackgroundColors (ColorValue allCorners)
| Called to set dialog's border colors.
| Dialog (Framework sample)
| Create a new instance of the dialog class.
void | RemoveAllControls ()
| Removes all controls from this dialog.
void | ClearRadioButtonGroup (uint groupIndex)
| Clears the radio button group.
void | ClearComboBox (int id)
| Clears the combo box of all items.
bool | MessageProc (IntPtr hWnd, NativeMethods.WindowMessage msg, IntPtr wParam, IntPtr lParam)
| Handle messages for this dialog.
void | SetControlEnable (int id, bool isenabled)
| Sets the control enabled property.
bool | GetControlEnable (int id)
| Gets the control enabled property.
Control | GetControlAtPoint (System.Drawing.Point pt)
| Returns the control located at a point (if one exists).
Control | GetControl (int id)
| Returns the control located at this index(if one exists).
Control | GetControl (int id, ControlType typeControl)
| Returns the control located at this index of this type(if one exists).
StaticText | GetStaticText (int id)
| Returns the static text control located at this index(if one exists).
Button | GetButton (int id)
| Returns the button control located at this index(if one exists).
Checkbox | GetCheckbox (int id)
| Returns the checkbox control located at this index(if one exists).
RadioButton | GetRadioButton (int id)
| Returns the radio button control located at this index(if one exists).
ComboBox | GetComboBox (int id)
| Returns the combo box control located at this index(if one exists).
Slider | GetSlider (int id)
| Returns the slider control located at this index(if one exists).
ListBox | GetListBox (int id)
| Returns the listbox control located at this index(if one exists).
void | SetDefaultElement (ControlType ctype, uint index, Element e)
| Sets the default element.
Element | GetDefaultElement (ControlType ctype, uint index)
| Gets the default element.
void | SetFont (uint index, string faceName, uint height, FontWeight weight)
| Shared resource access. Indexed fonts and textures are shared among all the controls.
FontNode | GetFont (uint index)
| Shared resource access. Indexed fonts and textures are shared among all the controls.
void | SetTexture (uint index, string filename)
| Shared resource access. Indexed fonts and textures are shared among all the controls.
TextureNode | GetTexture (uint index)
| Shared resource access. Indexed fonts and textures are shared among all the controls.
void | InitializeControl (Control control)
| Initializes a control.
void | AddControl (Control control)
| Adds a control to the dialog.
StaticText | AddStatic (int id, string text, int x, int y, int w, int h, bool isDefault)
| Adds a static text control to the dialog.
StaticText | AddStatic (int id, string text, int x, int y, int w, int h)
| Adds a static text control to the dialog.
Button | AddButton (int id, string text, int x, int y, int w, int h, System.Windows.Forms.Keys hotkey, bool isDefault)
| Adds a button control to the dialog.
Button | AddButton (int id, string text, int x, int y, int w, int h)
| Adds a button control to the dialog.
Checkbox | AddCheckBox (int id, string text, int x, int y, int w, int h, bool ischecked, System.Windows.Forms.Keys hotkey, bool isDefault)
| Adds a checkbox to the dialog.
Checkbox | AddCheckBox (int id, string text, int x, int y, int w, int h, bool ischecked)
| Adds a checkbox control to the dialog.
RadioButton | AddRadioButton (int id, uint groupId, string text, int x, int y, int w, int h, bool ischecked, System.Windows.Forms.Keys hotkey, bool isDefault)
| Adds a radiobutton to the dialog.
RadioButton | AddRadioButton (int id, uint groupId, string text, int x, int y, int w, int h, bool ischecked)
| Adds a radio button control to the dialog.
ComboBox | AddComboBox (int id, int x, int y, int w, int h, System.Windows.Forms.Keys hotkey, bool isDefault)
| Adds a combobox control to the dialog.
ComboBox | AddComboBox (int id, int x, int y, int w, int h)
| Adds a combobox control to the dialog.
Slider | AddSlider (int id, int x, int y, int w, int h, int min, int max, int initialValue, bool isDefault)
| Adds a slider control to the dialog.
Slider | AddSlider (int id, int x, int y, int w, int h)
| Adds a slider control to the dialog.
ListBox | AddListBox (int id, int x, int y, int w, int h, ListBoxStyle style)
| Adds a listbox control to the dialog.
ListBox | AddListBox (int id, int x, int y, int w, int h)
| Adds a listbox control to the dialog.
EditBox | AddEditBox (int id, string text, int x, int y, int w, int h, bool isDefault)
| Adds an edit box control to the dialog.
EditBox | AddEditBox (int id, string text, int x, int y, int w, int h)
| Adds an edit box control to the dialog.
void | OnRender (float elapsedTime)
| Render the dialog.
void | DrawString (string text, Element element, System.Drawing.Rectangle rect, bool shadow)
| Draw's some text.
void | DrawSprite (Element element, System.Drawing.Rectangle rect)
| Draw a sprite.
void | DrawString (string text, Element element, System.Drawing.Rectangle rect)
| Draw's some text.
void | DrawRectangle (System.Drawing.Rectangle rect, ColorValue color)
| Draw a rectangle.
## Static Public Member Functions
static void | SetRefreshTime (float time)
| Set the static refresh time.
static void | RequestFocus (Control control)
| Request that this control has focus.
static void | ClearFocus ()
| Clears focus of the dialog.
static void | SetRefreshTime (float time)
| Set the static refresh time.
static void | RequestFocus (Control control)
| Request that this control has focus.
static void | ClearFocus ()
| Clears focus of the dialog.
static void | SetRefreshTime (float time)
| Set the static refresh time.
static void | RequestFocus (Control control)
| Request that this control has focus.
static void | ClearFocus ()
| Clears focus of the dialog.
## Public Attributes
const int | WheelDelta = 120
## Static Public Attributes
static readonly ColorValue | WhiteColorValue = new ColorValue(1.0f, 1.0f, 1.0f, 1.0f)
static readonly ColorValue | TransparentWhite = new ColorValue(1.0f, 1.0f, 1.0f, 0.0f)
static readonly ColorValue | BlackColorValue = new ColorValue(0.0f, 0.0f, 0.0f, 1.0f)
## Properties
Framework | SampleFramework`[get]`
bool | IsUsingNonUserEvents`[get, set]`
| Is the dilaog using non user events.
bool | IsUsingKeyboardInput`[get, set]`
| Is the dilaog using keyboard input.
bool | IsUsingMouseInput`[get, set]`
| Is the dilaog using mouse input.
bool | IsMinimized`[get, set]`
| Is the dilaog minimized.
System.Drawing.Point | Location`[get, set]`
| The dialog's location.
int | Width`[get, set]`
| Dialogs width.
int | Height`[get, set]`
| Dialogs height.
int | CaptionHeight`[get, set]`
| The dialog's caption height.

## Detailed Description

All controls must be assigned to a dialog, which handles input and rendering for the controls.

Definition at line 425 of file dxmutgui.cs.

## Constructor & Destructor Documentation

Microsoft.Samples.DirectX.UtilityToolkit.Dialog.Dialog | ( | Framework | sample | ) |

Create a new instance of the dialog class.

Definition at line 525 of file dxmutgui.cs.

Microsoft.Samples.DirectX.UtilityToolkit.Dialog.Dialog | ( | Framework | sample | ) |

Create a new instance of the dialog class.

Definition at line 525 of file dxmutgui.cs.

Microsoft.Samples.DirectX.UtilityToolkit.Dialog.Dialog | ( | Framework | sample | ) |

Create a new instance of the dialog class.

Definition at line 527 of file wdxmutgui.cs.

## Member Function Documentation

Button Microsoft.Samples.DirectX.UtilityToolkit.Dialog.AddButton | ( | int | id,
|  | string | text,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h |
| ) |  |  |

Adds a button control to the dialog.

Definition at line 1459 of file wdxmutgui.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

Button Microsoft.Samples.DirectX.UtilityToolkit.Dialog.AddButton | ( | int | id,
|  | string | text,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | System.Windows.Forms.Keys | hotkey,
|  | bool | isDefault |
| ) |  |  |

Adds a button control to the dialog.

Definition at line 1440 of file wdxmutgui.cs.

Here is the call graph for this function:

Button Microsoft.Samples.DirectX.UtilityToolkit.Dialog.AddButton | ( | int | id,
|  | string | text,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h |
| ) |  |  |

Adds a button control to the dialog.

Definition at line 1457 of file dxmutgui.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

Button Microsoft.Samples.DirectX.UtilityToolkit.Dialog.AddButton | ( | int | id,
|  | string | text,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | System.Windows.Forms.Keys | hotkey,
|  | bool | isDefault |
| ) |  |  |

Adds a button control to the dialog.

Definition at line 1438 of file dxmutgui.cs.

Here is the call graph for this function:

Button Microsoft.Samples.DirectX.UtilityToolkit.Dialog.AddButton | ( | int | id,
|  | string | text,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h |
| ) |  |  |

Adds a button control to the dialog.

Definition at line 1457 of file dxmutgui.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

Button Microsoft.Samples.DirectX.UtilityToolkit.Dialog.AddButton | ( | int | id,
|  | string | text,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | System.Windows.Forms.Keys | hotkey,
|  | bool | isDefault |
| ) |  |  |

Adds a button control to the dialog.

Definition at line 1438 of file dxmutgui.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

Checkbox Microsoft.Samples.DirectX.UtilityToolkit.Dialog.AddCheckBox | ( | int | id,
|  | string | text,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | bool | ischecked |
| ) |  |  |

Adds a checkbox control to the dialog.

Definition at line 1481 of file wdxmutgui.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

Checkbox Microsoft.Samples.DirectX.UtilityToolkit.Dialog.AddCheckBox | ( | int | id,
|  | string | text,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | bool | ischecked,
|  | System.Windows.Forms.Keys | hotkey,
|  | bool | isDefault |
| ) |  |  |

Adds a checkbox to the dialog.

Definition at line 1461 of file wdxmutgui.cs.

Here is the call graph for this function:

Checkbox Microsoft.Samples.DirectX.UtilityToolkit.Dialog.AddCheckBox | ( | int | id,
|  | string | text,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | bool | ischecked |
| ) |  |  |

Adds a checkbox control to the dialog.

Definition at line 1479 of file dxmutgui.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

Checkbox Microsoft.Samples.DirectX.UtilityToolkit.Dialog.AddCheckBox | ( | int | id,
|  | string | text,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | bool | ischecked,
|  | System.Windows.Forms.Keys | hotkey,
|  | bool | isDefault |
| ) |  |  |

Adds a checkbox to the dialog.

Definition at line 1459 of file dxmutgui.cs.

Here is the call graph for this function:

Checkbox Microsoft.Samples.DirectX.UtilityToolkit.Dialog.AddCheckBox | ( | int | id,
|  | string | text,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | bool | ischecked |
| ) |  |  |

Adds a checkbox control to the dialog.

Definition at line 1479 of file dxmutgui.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

Checkbox Microsoft.Samples.DirectX.UtilityToolkit.Dialog.AddCheckBox | ( | int | id,
|  | string | text,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | bool | ischecked,
|  | System.Windows.Forms.Keys | hotkey,
|  | bool | isDefault |
| ) |  |  |

Adds a checkbox to the dialog.

Definition at line 1459 of file dxmutgui.cs.

Here is the call graph for this function:

ComboBox Microsoft.Samples.DirectX.UtilityToolkit.Dialog.AddComboBox | ( | int | id,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h |
| ) |  |  |

Adds a combobox control to the dialog.

Definition at line 1524 of file wdxmutgui.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

ComboBox Microsoft.Samples.DirectX.UtilityToolkit.Dialog.AddComboBox | ( | int | id,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | System.Windows.Forms.Keys | hotkey,
|  | bool | isDefault |
| ) |  |  |

Adds a combobox control to the dialog.

Definition at line 1506 of file wdxmutgui.cs.

Here is the call graph for this function:

ComboBox Microsoft.Samples.DirectX.UtilityToolkit.Dialog.AddComboBox | ( | int | id,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h |
| ) |  |  |

Adds a combobox control to the dialog.

Definition at line 1522 of file dxmutgui.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

ComboBox Microsoft.Samples.DirectX.UtilityToolkit.Dialog.AddComboBox | ( | int | id,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | System.Windows.Forms.Keys | hotkey,
|  | bool | isDefault |
| ) |  |  |

Adds a combobox control to the dialog.

Definition at line 1504 of file dxmutgui.cs.

Here is the call graph for this function:

ComboBox Microsoft.Samples.DirectX.UtilityToolkit.Dialog.AddComboBox | ( | int | id,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h |
| ) |  |  |

Adds a combobox control to the dialog.

Definition at line 1522 of file dxmutgui.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

ComboBox Microsoft.Samples.DirectX.UtilityToolkit.Dialog.AddComboBox | ( | int | id,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | System.Windows.Forms.Keys | hotkey,
|  | bool | isDefault |
| ) |  |  |

Adds a combobox control to the dialog.

Definition at line 1504 of file dxmutgui.cs.

Here is the call graph for this function:

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.AddControl | ( | Control | control | ) |

Adds a control to the dialog.

Definition at line 1411 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.AddControl | ( | Control | control | ) |

Adds a control to the dialog.

Definition at line 1409 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.AddControl | ( | Control | control | ) |

Adds a control to the dialog.

Definition at line 1409 of file dxmutgui.cs.

EditBox Microsoft.Samples.DirectX.UtilityToolkit.Dialog.AddEditBox | ( | int | id,
|  | string | text,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h |
| ) |  |  |

Adds an edit box control to the dialog.

Definition at line 1584 of file wdxmutgui.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

EditBox Microsoft.Samples.DirectX.UtilityToolkit.Dialog.AddEditBox | ( | int | id,
|  | string | text,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | bool | isDefault |
| ) |  |  |

Adds an edit box control to the dialog.

Definition at line 1566 of file wdxmutgui.cs.

Here is the call graph for this function:

EditBox Microsoft.Samples.DirectX.UtilityToolkit.Dialog.AddEditBox | ( | int | id,
|  | string | text,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h |
| ) |  |  |

Adds an edit box control to the dialog.

Definition at line 1582 of file dxmutgui.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

EditBox Microsoft.Samples.DirectX.UtilityToolkit.Dialog.AddEditBox | ( | int | id,
|  | string | text,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | bool | isDefault |
| ) |  |  |

Adds an edit box control to the dialog.

Definition at line 1564 of file dxmutgui.cs.

Here is the call graph for this function:

EditBox Microsoft.Samples.DirectX.UtilityToolkit.Dialog.AddEditBox | ( | int | id,
|  | string | text,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h |
| ) |  |  |

Adds an edit box control to the dialog.

Definition at line 1582 of file dxmutgui.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

EditBox Microsoft.Samples.DirectX.UtilityToolkit.Dialog.AddEditBox | ( | int | id,
|  | string | text,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | bool | isDefault |
| ) |  |  |

Adds an edit box control to the dialog.

Definition at line 1564 of file dxmutgui.cs.

Here is the call graph for this function:

ListBox Microsoft.Samples.DirectX.UtilityToolkit.Dialog.AddListBox | ( | int | id,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h |
| ) |  |  |

Adds a listbox control to the dialog.

Definition at line 1564 of file wdxmutgui.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

ListBox Microsoft.Samples.DirectX.UtilityToolkit.Dialog.AddListBox | ( | int | id,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | ListBoxStyle | style |
| ) |  |  |

Adds a listbox control to the dialog.

Definition at line 1547 of file wdxmutgui.cs.

Here is the call graph for this function:

ListBox Microsoft.Samples.DirectX.UtilityToolkit.Dialog.AddListBox | ( | int | id,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h |
| ) |  |  |

Adds a listbox control to the dialog.

Definition at line 1562 of file dxmutgui.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

ListBox Microsoft.Samples.DirectX.UtilityToolkit.Dialog.AddListBox | ( | int | id,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | ListBoxStyle | style |
| ) |  |  |

Adds a listbox control to the dialog.

Definition at line 1545 of file dxmutgui.cs.

Here is the call graph for this function:

ListBox Microsoft.Samples.DirectX.UtilityToolkit.Dialog.AddListBox | ( | int | id,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h |
| ) |  |  |

Adds a listbox control to the dialog.

Definition at line 1562 of file dxmutgui.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

ListBox Microsoft.Samples.DirectX.UtilityToolkit.Dialog.AddListBox | ( | int | id,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | ListBoxStyle | style |
| ) |  |  |

Adds a listbox control to the dialog.

Definition at line 1545 of file dxmutgui.cs.

Here is the call graph for this function:

RadioButton Microsoft.Samples.DirectX.UtilityToolkit.Dialog.AddRadioButton | ( | int | id,
|  | uint | groupId,
|  | string | text,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | bool | ischecked |
| ) |  |  |

Adds a radio button control to the dialog.

Definition at line 1504 of file wdxmutgui.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

RadioButton Microsoft.Samples.DirectX.UtilityToolkit.Dialog.AddRadioButton | ( | int | id,
|  | uint | groupId,
|  | string | text,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | bool | ischecked,
|  | System.Windows.Forms.Keys | hotkey,
|  | bool | isDefault |
| ) |  |  |

Adds a radiobutton to the dialog.

Definition at line 1483 of file wdxmutgui.cs.

Here is the call graph for this function:

RadioButton Microsoft.Samples.DirectX.UtilityToolkit.Dialog.AddRadioButton | ( | int | id,
|  | uint | groupId,
|  | string | text,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | bool | ischecked |
| ) |  |  |

Adds a radio button control to the dialog.

Definition at line 1502 of file dxmutgui.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

RadioButton Microsoft.Samples.DirectX.UtilityToolkit.Dialog.AddRadioButton | ( | int | id,
|  | uint | groupId,
|  | string | text,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | bool | ischecked,
|  | System.Windows.Forms.Keys | hotkey,
|  | bool | isDefault |
| ) |  |  |

Adds a radiobutton to the dialog.

Definition at line 1481 of file dxmutgui.cs.

Here is the call graph for this function:

RadioButton Microsoft.Samples.DirectX.UtilityToolkit.Dialog.AddRadioButton | ( | int | id,
|  | uint | groupId,
|  | string | text,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | bool | ischecked |
| ) |  |  |

Adds a radio button control to the dialog.

Definition at line 1502 of file dxmutgui.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

RadioButton Microsoft.Samples.DirectX.UtilityToolkit.Dialog.AddRadioButton | ( | int | id,
|  | uint | groupId,
|  | string | text,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | bool | ischecked,
|  | System.Windows.Forms.Keys | hotkey,
|  | bool | isDefault |
| ) |  |  |

Adds a radiobutton to the dialog.

Definition at line 1481 of file dxmutgui.cs.

Here is the call graph for this function:

Slider Microsoft.Samples.DirectX.UtilityToolkit.Dialog.AddSlider | ( | int | id,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h |
| ) |  |  |

Adds a slider control to the dialog.

Definition at line 1545 of file wdxmutgui.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

Slider Microsoft.Samples.DirectX.UtilityToolkit.Dialog.AddSlider | ( | int | id,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | int | min,
|  | int | max,
|  | int | initialValue,
|  | bool | isDefault |
| ) |  |  |

Adds a slider control to the dialog.

Definition at line 1526 of file wdxmutgui.cs.

Here is the call graph for this function:

Slider Microsoft.Samples.DirectX.UtilityToolkit.Dialog.AddSlider | ( | int | id,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h |
| ) |  |  |

Adds a slider control to the dialog.

Definition at line 1543 of file dxmutgui.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

Slider Microsoft.Samples.DirectX.UtilityToolkit.Dialog.AddSlider | ( | int | id,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | int | min,
|  | int | max,
|  | int | initialValue,
|  | bool | isDefault |
| ) |  |  |

Adds a slider control to the dialog.

Definition at line 1524 of file dxmutgui.cs.

Here is the call graph for this function:

Slider Microsoft.Samples.DirectX.UtilityToolkit.Dialog.AddSlider | ( | int | id,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h |
| ) |  |  |

Adds a slider control to the dialog.

Definition at line 1543 of file dxmutgui.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

Slider Microsoft.Samples.DirectX.UtilityToolkit.Dialog.AddSlider | ( | int | id,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | int | min,
|  | int | max,
|  | int | initialValue,
|  | bool | isDefault |
| ) |  |  |

Adds a slider control to the dialog.

Definition at line 1524 of file dxmutgui.cs.

Here is the call graph for this function:

StaticText Microsoft.Samples.DirectX.UtilityToolkit.Dialog.AddStatic | ( | int | id,
|  | string | text,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h |
| ) |  |  |

Adds a static text control to the dialog.

Definition at line 1438 of file wdxmutgui.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

StaticText Microsoft.Samples.DirectX.UtilityToolkit.Dialog.AddStatic | ( | int | id,
|  | string | text,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | bool | isDefault |
| ) |  |  |

Adds a static text control to the dialog.

Definition at line 1420 of file wdxmutgui.cs.

Here is the call graph for this function:

StaticText Microsoft.Samples.DirectX.UtilityToolkit.Dialog.AddStatic | ( | int | id,
|  | string | text,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h |
| ) |  |  |

Adds a static text control to the dialog.

Definition at line 1436 of file dxmutgui.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

StaticText Microsoft.Samples.DirectX.UtilityToolkit.Dialog.AddStatic | ( | int | id,
|  | string | text,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | bool | isDefault |
| ) |  |  |

Adds a static text control to the dialog.

Definition at line 1418 of file dxmutgui.cs.

Here is the call graph for this function:

StaticText Microsoft.Samples.DirectX.UtilityToolkit.Dialog.AddStatic | ( | int | id,
|  | string | text,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h |
| ) |  |  |

Adds a static text control to the dialog.

Definition at line 1436 of file dxmutgui.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

StaticText Microsoft.Samples.DirectX.UtilityToolkit.Dialog.AddStatic | ( | int | id,
|  | string | text,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | bool | isDefault |
| ) |  |  |

Adds a static text control to the dialog.

Definition at line 1418 of file dxmutgui.cs.

Here is the call graph for this function:

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.ClearComboBox | ( | int | id | ) |

Clears the combo box of all items.

Definition at line 811 of file wdxmutgui.cs.

Here is the call graph for this function:

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.ClearComboBox | ( | int | id | ) |

Clears the combo box of all items.

Definition at line 809 of file dxmutgui.cs.

Here is the call graph for this function:

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.ClearComboBox | ( | int | id | ) |

Clears the combo box of all items.

Definition at line 809 of file dxmutgui.cs.

Here is the call graph for this function:

static void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.ClearFocus | ( |  | ) | `[static]`

Clears focus of the dialog.

Definition at line 1105 of file wdxmutgui.cs.

static void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.ClearFocus | ( |  | ) | `[static]`

Clears focus of the dialog.

Definition at line 1103 of file dxmutgui.cs.

static void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.ClearFocus | ( |  | ) | `[static]`

Clears focus of the dialog.

Definition at line 1103 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.ClearRadioButtonGroup | ( | uint | groupIndex | ) |

Clears the radio button group.

Definition at line 795 of file wdxmutgui.cs.

Here is the call graph for this function:

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.ClearRadioButtonGroup | ( | uint | groupIndex | ) |

Clears the radio button group.

Definition at line 793 of file dxmutgui.cs.

Here is the call graph for this function:

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.ClearRadioButtonGroup | ( | uint | groupIndex | ) |

Clears the radio button group.

Definition at line 793 of file dxmutgui.cs.

Here is the call graph for this function:

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.DrawRectangle | ( | System.Drawing.Rectangle | rect,
|  | ColorValue | color |
| ) |  |  |

Draw a rectangle.

Definition at line 1775 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.DrawRectangle | ( | System.Drawing.Rectangle | rect,
|  | ColorValue | color |
| ) |  |  |

Draw a rectangle.

Definition at line 1774 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.DrawRectangle | ( | System.Drawing.Rectangle | rect,
|  | ColorValue | color |
| ) |  |  |

Draw a rectangle.

Definition at line 1774 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.DrawSprite | ( | Element | element,
|  | System.Drawing.Rectangle | rect |
| ) |  |  |

Draw a sprite.

Definition at line 1742 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.DrawSprite | ( | Element | element,
|  | System.Drawing.Rectangle | rect |
| ) |  |  |

Draw a sprite.

Definition at line 1741 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.DrawSprite | ( | Element | element,
|  | System.Drawing.Rectangle | rect |
| ) |  |  |

Draw a sprite.

Definition at line 1741 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.DrawString | ( | string | text,
|  | Element | element,
|  | System.Drawing.Rectangle | rect |
| ) |  |  |

Draw's some text.

Definition at line 1773 of file wdxmutgui.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.DrawString | ( | string | text,
|  | Element | element,
|  | System.Drawing.Rectangle | rect,
|  | bool | shadow |
| ) |  |  |

Draw's some text.

Definition at line 1711 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.DrawText | ( | string | text,
|  | Element | element,
|  | System.Drawing.Rectangle | rect |
| ) |  |  |

Draw's some text.

Definition at line 1772 of file dxmutgui.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.DrawText | ( | string | text,
|  | Element | element,
|  | System.Drawing.Rectangle | rect,
|  | bool | shadow |
| ) |  |  |

Draw's some text.

Definition at line 1710 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.DrawText | ( | string | text,
|  | Element | element,
|  | System.Drawing.Rectangle | rect |
| ) |  |  |

Draw's some text.

Definition at line 1772 of file dxmutgui.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.DrawText | ( | string | text,
|  | Element | element,
|  | System.Drawing.Rectangle | rect,
|  | bool | shadow |
| ) |  |  |

Draw's some text.

Definition at line 1710 of file dxmutgui.cs.

Button Microsoft.Samples.DirectX.UtilityToolkit.Dialog.GetButton | ( | int | id | ) |

Returns the button control located at this index(if one exists).

Definition at line 1278 of file wdxmutgui.cs.

Button Microsoft.Samples.DirectX.UtilityToolkit.Dialog.GetButton | ( | int | id | ) |

Returns the button control located at this index(if one exists).

Definition at line 1276 of file dxmutgui.cs.

Button Microsoft.Samples.DirectX.UtilityToolkit.Dialog.GetButton | ( | int | id | ) |

Returns the button control located at this index(if one exists).

Definition at line 1276 of file dxmutgui.cs.

Checkbox Microsoft.Samples.DirectX.UtilityToolkit.Dialog.GetCheckbox | ( | int | id | ) |

Returns the checkbox control located at this index(if one exists).

Definition at line 1280 of file wdxmutgui.cs.

Checkbox Microsoft.Samples.DirectX.UtilityToolkit.Dialog.GetCheckbox | ( | int | id | ) |

Returns the checkbox control located at this index(if one exists).

Definition at line 1278 of file dxmutgui.cs.

Checkbox Microsoft.Samples.DirectX.UtilityToolkit.Dialog.GetCheckbox | ( | int | id | ) |

Returns the checkbox control located at this index(if one exists).

Definition at line 1278 of file dxmutgui.cs.

ComboBox Microsoft.Samples.DirectX.UtilityToolkit.Dialog.GetComboBox | ( | int | id | ) |

Returns the combo box control located at this index(if one exists).

Definition at line 1284 of file wdxmutgui.cs.

ComboBox Microsoft.Samples.DirectX.UtilityToolkit.Dialog.GetComboBox | ( | int | id | ) |

Returns the combo box control located at this index(if one exists).

Definition at line 1282 of file dxmutgui.cs.

ComboBox Microsoft.Samples.DirectX.UtilityToolkit.Dialog.GetComboBox | ( | int | id | ) |

Returns the combo box control located at this index(if one exists).

Definition at line 1282 of file dxmutgui.cs.

Control Microsoft.Samples.DirectX.UtilityToolkit.Dialog.GetControl | ( | int | id,
|  | ControlType | typeControl |
| ) |  |  |

Returns the control located at this index of this type(if one exists).

Definition at line 1261 of file wdxmutgui.cs.

Control Microsoft.Samples.DirectX.UtilityToolkit.Dialog.GetControl | ( | int | id | ) |

Returns the control located at this index(if one exists).

Definition at line 1247 of file wdxmutgui.cs.

Control Microsoft.Samples.DirectX.UtilityToolkit.Dialog.GetControl | ( | int | id,
|  | ControlType | typeControl |
| ) |  |  |

Returns the control located at this index of this type(if one exists).

Definition at line 1259 of file dxmutgui.cs.

Control Microsoft.Samples.DirectX.UtilityToolkit.Dialog.GetControl | ( | int | id | ) |

Returns the control located at this index(if one exists).

Definition at line 1245 of file dxmutgui.cs.

Control Microsoft.Samples.DirectX.UtilityToolkit.Dialog.GetControl | ( | int | id,
|  | ControlType | typeControl |
| ) |  |  |

Returns the control located at this index of this type(if one exists).

Definition at line 1259 of file dxmutgui.cs.

Control Microsoft.Samples.DirectX.UtilityToolkit.Dialog.GetControl | ( | int | id | ) |

Returns the control located at this index(if one exists).

Definition at line 1245 of file dxmutgui.cs.

Control Microsoft.Samples.DirectX.UtilityToolkit.Dialog.GetControlAtPoint | ( | System.Drawing.Point | pt | ) |

Returns the control located at a point (if one exists).

Definition at line 1233 of file wdxmutgui.cs.

Here is the call graph for this function:

Control Microsoft.Samples.DirectX.UtilityToolkit.Dialog.GetControlAtPoint | ( | System.Drawing.Point | pt | ) |

Returns the control located at a point (if one exists).

Definition at line 1231 of file dxmutgui.cs.

Here is the call graph for this function:

Control Microsoft.Samples.DirectX.UtilityToolkit.Dialog.GetControlAtPoint | ( | System.Drawing.Point | pt | ) |

Returns the control located at a point (if one exists).

Definition at line 1231 of file dxmutgui.cs.

Here is the call graph for this function:

bool Microsoft.Samples.DirectX.UtilityToolkit.Dialog.GetControlEnable | ( | int | id | ) |

Gets the control enabled property.

Definition at line 1223 of file wdxmutgui.cs.

bool Microsoft.Samples.DirectX.UtilityToolkit.Dialog.GetControlEnable | ( | int | id | ) |

Gets the control enabled property.

Definition at line 1221 of file dxmutgui.cs.

bool Microsoft.Samples.DirectX.UtilityToolkit.Dialog.GetControlEnable | ( | int | id | ) |

Gets the control enabled property.

Definition at line 1221 of file dxmutgui.cs.

Element Microsoft.Samples.DirectX.UtilityToolkit.Dialog.GetDefaultElement | ( | ControlType | ctype,
|  | uint | index |
| ) |  |  |

Gets the default element.

Definition at line 1323 of file wdxmutgui.cs.

Element Microsoft.Samples.DirectX.UtilityToolkit.Dialog.GetDefaultElement | ( | ControlType | ctype,
|  | uint | index |
| ) |  |  |

Gets the default element.

Definition at line 1321 of file dxmutgui.cs.

Element Microsoft.Samples.DirectX.UtilityToolkit.Dialog.GetDefaultElement | ( | ControlType | ctype,
|  | uint | index |
| ) |  |  |

Gets the default element.

Definition at line 1321 of file dxmutgui.cs.

FontNode Microsoft.Samples.DirectX.UtilityToolkit.Dialog.GetFont | ( | uint | index | ) |

Shared resource access. Indexed fonts and textures are shared among all the controls.

Definition at line 1357 of file wdxmutgui.cs.

FontNode Microsoft.Samples.DirectX.UtilityToolkit.Dialog.GetFont | ( | uint | index | ) |

Shared resource access. Indexed fonts and textures are shared among all the controls.

Definition at line 1355 of file dxmutgui.cs.

FontNode Microsoft.Samples.DirectX.UtilityToolkit.Dialog.GetFont | ( | uint | index | ) |

Shared resource access. Indexed fonts and textures are shared among all the controls.

Definition at line 1355 of file dxmutgui.cs.

ListBox Microsoft.Samples.DirectX.UtilityToolkit.Dialog.GetListBox | ( | int | id | ) |

Returns the listbox control located at this index(if one exists).

Definition at line 1288 of file wdxmutgui.cs.

ListBox Microsoft.Samples.DirectX.UtilityToolkit.Dialog.GetListBox | ( | int | id | ) |

Returns the listbox control located at this index(if one exists).

Definition at line 1286 of file dxmutgui.cs.

ListBox Microsoft.Samples.DirectX.UtilityToolkit.Dialog.GetListBox | ( | int | id | ) |

Returns the listbox control located at this index(if one exists).

Definition at line 1286 of file dxmutgui.cs.

RadioButton Microsoft.Samples.DirectX.UtilityToolkit.Dialog.GetRadioButton | ( | int | id | ) |

Returns the radio button control located at this index(if one exists).

Definition at line 1282 of file wdxmutgui.cs.

RadioButton Microsoft.Samples.DirectX.UtilityToolkit.Dialog.GetRadioButton | ( | int | id | ) |

Returns the radio button control located at this index(if one exists).

Definition at line 1280 of file dxmutgui.cs.

RadioButton Microsoft.Samples.DirectX.UtilityToolkit.Dialog.GetRadioButton | ( | int | id | ) |

Returns the radio button control located at this index(if one exists).

Definition at line 1280 of file dxmutgui.cs.

Slider Microsoft.Samples.DirectX.UtilityToolkit.Dialog.GetSlider | ( | int | id | ) |

Returns the slider control located at this index(if one exists).

Definition at line 1286 of file wdxmutgui.cs.

Slider Microsoft.Samples.DirectX.UtilityToolkit.Dialog.GetSlider | ( | int | id | ) |

Returns the slider control located at this index(if one exists).

Definition at line 1284 of file dxmutgui.cs.

Slider Microsoft.Samples.DirectX.UtilityToolkit.Dialog.GetSlider | ( | int | id | ) |

Returns the slider control located at this index(if one exists).

Definition at line 1284 of file dxmutgui.cs.

StaticText Microsoft.Samples.DirectX.UtilityToolkit.Dialog.GetStaticText | ( | int | id | ) |

Returns the static text control located at this index(if one exists).

Definition at line 1276 of file wdxmutgui.cs.

StaticText Microsoft.Samples.DirectX.UtilityToolkit.Dialog.GetStaticText | ( | int | id | ) |

Returns the static text control located at this index(if one exists).

Definition at line 1274 of file dxmutgui.cs.

StaticText Microsoft.Samples.DirectX.UtilityToolkit.Dialog.GetStaticText | ( | int | id | ) |

Returns the static text control located at this index(if one exists).

Definition at line 1274 of file dxmutgui.cs.

TextureNode Microsoft.Samples.DirectX.UtilityToolkit.Dialog.GetTexture | ( | uint | index | ) |

Shared resource access. Indexed fonts and textures are shared among all the controls.

Definition at line 1378 of file wdxmutgui.cs.

TextureNode Microsoft.Samples.DirectX.UtilityToolkit.Dialog.GetTexture | ( | uint | index | ) |

Shared resource access. Indexed fonts and textures are shared among all the controls.

Definition at line 1376 of file dxmutgui.cs.

TextureNode Microsoft.Samples.DirectX.UtilityToolkit.Dialog.GetTexture | ( | uint | index | ) |

Shared resource access. Indexed fonts and textures are shared among all the controls.

Definition at line 1376 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.InitializeControl | ( | Control | control | ) |

Initializes a control.

Definition at line 1388 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.InitializeControl | ( | Control | control | ) |

Initializes a control.

Definition at line 1386 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.InitializeControl | ( | Control | control | ) |

Initializes a control.

Definition at line 1386 of file dxmutgui.cs.

bool Microsoft.Samples.DirectX.UtilityToolkit.Dialog.MessageProc | ( | IntPtr | hWnd,
|  | NativeMethods.WindowMessage | msg,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  |

Handle messages for this dialog.

Definition at line 825 of file wdxmutgui.cs.

Here is the call graph for this function:

bool Microsoft.Samples.DirectX.UtilityToolkit.Dialog.MessageProc | ( | IntPtr | hWnd,
|  | NativeMethods.WindowMessage | msg,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  |

Handle messages for this dialog.

Definition at line 823 of file dxmutgui.cs.

Here is the call graph for this function:

bool Microsoft.Samples.DirectX.UtilityToolkit.Dialog.MessageProc | ( | IntPtr | hWnd,
|  | NativeMethods.WindowMessage | msg,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  |

Handle messages for this dialog.

Definition at line 823 of file dxmutgui.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.OnRender | ( | float | elapsedTime | ) |

Render the dialog.

Definition at line 1598 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.OnRender | ( | float | elapsedTime | ) |

Render the dialog.

Definition at line 1597 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.OnRender | ( | float | elapsedTime | ) |

Render the dialog.

Definition at line 1597 of file dxmutgui.cs.

Here is the caller graph for this function:

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.RemoveAllControls | ( |  | ) |

Removes all controls from this dialog.

Definition at line 785 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.RemoveAllControls | ( |  | ) |

Removes all controls from this dialog.

Definition at line 783 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.RemoveAllControls | ( |  | ) |

Removes all controls from this dialog.

Definition at line 783 of file dxmutgui.cs.

static void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.RequestFocus | ( | Control | control | ) | `[static]`

Request that this control has focus.

Definition at line 1086 of file wdxmutgui.cs.

static void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.RequestFocus | ( | Control | control | ) | `[static]`

Request that this control has focus.

Definition at line 1084 of file dxmutgui.cs.

static void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.RequestFocus | ( | Control | control | ) | `[static]`

Request that this control has focus.

Definition at line 1084 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.SetBackgroundColors | ( | ColorValue | allCorners | ) |

Called to set dialog's border colors.

Definition at line 520 of file wdxmutgui.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.SetBackgroundColors | ( | ColorValue | topLeft,
|  | ColorValue | topRight,
|  | ColorValue | bottomLeft,
|  | ColorValue | bottomRight |
| ) |  |  |

Called to set dialog's border colors.

Definition at line 514 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.SetBackgroundColors | ( | ColorValue | allCorners | ) |

Called to set dialog's border colors.

Definition at line 518 of file dxmutgui.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.SetBackgroundColors | ( | ColorValue | topLeft,
|  | ColorValue | topRight,
|  | ColorValue | bottomLeft,
|  | ColorValue | bottomRight |
| ) |  |  |

Called to set dialog's border colors.

Definition at line 512 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.SetBackgroundColors | ( | ColorValue | allCorners | ) |

Called to set dialog's border colors.

Definition at line 518 of file dxmutgui.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.SetBackgroundColors | ( | ColorValue | topLeft,
|  | ColorValue | topRight,
|  | ColorValue | bottomLeft,
|  | ColorValue | bottomRight |
| ) |  |  |

Called to set dialog's border colors.

Definition at line 512 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.SetCaptionEnabled | ( | bool | isEnabled | ) |

Called to set dialog's caption enabled state.

Definition at line 512 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.SetCaptionEnabled | ( | bool | isEnabled | ) |

Called to set dialog's caption enabled state.

Definition at line 510 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.SetCaptionEnabled | ( | bool | isEnabled | ) |

Called to set dialog's caption enabled state.

Definition at line 510 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.SetCaptionText | ( | string | text | ) |

Called to set dialog's caption.

Definition at line 508 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.SetCaptionText | ( | string | text | ) |

Called to set dialog's caption.

Definition at line 506 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.SetCaptionText | ( | string | text | ) |

Called to set dialog's caption.

Definition at line 506 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.SetControlEnable | ( | int | id,
|  | bool | isenabled |
| ) |  |  |

Sets the control enabled property.

Definition at line 1214 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.SetControlEnable | ( | int | id,
|  | bool | isenabled |
| ) |  |  |

Sets the control enabled property.

Definition at line 1212 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.SetControlEnable | ( | int | id,
|  | bool | isenabled |
| ) |  |  |

Sets the control enabled property.

Definition at line 1212 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.SetDefaultElement | ( | ControlType | ctype,
|  | uint | index,
|  | Element | e |
| ) |  |  |

Sets the default element.

Definition at line 1295 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.SetDefaultElement | ( | ControlType | ctype,
|  | uint | index,
|  | Element | e |
| ) |  |  |

Sets the default element.

Definition at line 1293 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.SetDefaultElement | ( | ControlType | ctype,
|  | uint | index,
|  | Element | e |
| ) |  |  |

Sets the default element.

Definition at line 1293 of file dxmutgui.cs.

Here is the call graph for this function:

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.SetFont | ( | uint | index,
|  | string | faceName,
|  | uint | height,
|  | FontWeight | weight |
| ) |  |  |

Shared resource access. Indexed fonts and textures are shared among all the controls.

Definition at line 1344 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.SetFont | ( | uint | index,
|  | string | faceName,
|  | uint | height,
|  | FontWeight | weight |
| ) |  |  |

Shared resource access. Indexed fonts and textures are shared among all the controls.

Definition at line 1342 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.SetFont | ( | uint | index,
|  | string | faceName,
|  | uint | height,
|  | FontWeight | weight |
| ) |  |  |

Shared resource access. Indexed fonts and textures are shared among all the controls.

Definition at line 1342 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.SetLocation | ( | int | x,
|  | int | y |
| ) |  |  |

Called to set dialog's location.

Definition at line 493 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.SetLocation | ( | int | x,
|  | int | y |
| ) |  |  |

Called to set dialog's location.

Definition at line 492 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.SetLocation | ( | int | x,
|  | int | y |
| ) |  |  |

Called to set dialog's location.

Definition at line 492 of file dxmutgui.cs.

static void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.SetRefreshTime | ( | float | time | ) | `[static]`

Set the static refresh time.

Definition at line 439 of file wdxmutgui.cs.

static void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.SetRefreshTime | ( | float | time | ) | `[static]`

Set the static refresh time.

Definition at line 438 of file dxmutgui.cs.

static void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.SetRefreshTime | ( | float | time | ) | `[static]`

Set the static refresh time.

Definition at line 438 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.SetSize | ( | int | w,
|  | int | h |
| ) |  |  |

Called to set dialog's size.

Definition at line 502 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.SetSize | ( | int | w,
|  | int | h |
| ) |  |  |

Called to set dialog's size.

Definition at line 500 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.SetSize | ( | int | w,
|  | int | h |
| ) |  |  |

Called to set dialog's size.

Definition at line 500 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.SetTexture | ( | uint | index,
|  | string | filename |
| ) |  |  |

Shared resource access. Indexed fonts and textures are shared among all the controls.

Definition at line 1365 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.SetTexture | ( | uint | index,
|  | string | filename |
| ) |  |  |

Shared resource access. Indexed fonts and textures are shared among all the controls.

Definition at line 1363 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Dialog.SetTexture | ( | uint | index,
|  | string | filename |
| ) |  |  |

Shared resource access. Indexed fonts and textures are shared among all the controls.

Definition at line 1363 of file dxmutgui.cs.

## Member Data Documentation

static readonly ColorValue Microsoft::Samples::DirectX::UtilityToolkit.Dialog::BlackColorValue = new ColorValue(0.0f, 0.0f, 0.0f, 1.0f)`[static]`

Definition at line 431 of file dxmutgui.cs.

static readonly ColorValue Microsoft::Samples::DirectX::UtilityToolkit.Dialog::TransparentWhite = new ColorValue(1.0f, 1.0f, 1.0f, 0.0f)`[static]`

Definition at line 430 of file dxmutgui.cs.

const int Microsoft::Samples::DirectX::UtilityToolkit.Dialog::WheelDelta = 120

Definition at line 428 of file dxmutgui.cs.

static readonly ColorValue Microsoft::Samples::DirectX::UtilityToolkit.Dialog::WhiteColorValue = new ColorValue(1.0f, 1.0f, 1.0f, 1.0f)`[static]`

Definition at line 429 of file dxmutgui.cs.

## Property Documentation

int Microsoft::Samples::DirectX::UtilityToolkit.Dialog::CaptionHeight`[get, set]`

The dialog's caption height.

Definition at line 508 of file dxmutgui.cs.

int Microsoft::Samples::DirectX::UtilityToolkit.Dialog::Height`[get, set]`

Dialogs height.

Definition at line 504 of file dxmutgui.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.Dialog::IsMinimized`[get, set]`

Is the dilaog minimized.

Definition at line 490 of file dxmutgui.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.Dialog::IsUsingKeyboardInput`[get, set]`

Is the dilaog using keyboard input.

Definition at line 486 of file dxmutgui.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.Dialog::IsUsingMouseInput`[get, set]`

Is the dilaog using mouse input.

Definition at line 488 of file dxmutgui.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.Dialog::IsUsingNonUserEvents`[get, set]`

Is the dilaog using non user events.

Definition at line 484 of file dxmutgui.cs.

System Drawing Point Microsoft::Samples::DirectX::UtilityToolkit.Dialog::Location`[get, set]`

The dialog's location.

Definition at line 494 of file dxmutgui.cs.

Framework Microsoft::Samples::DirectX::UtilityToolkit.Dialog::SampleFramework`[get]`

Definition at line 444 of file dxmutgui.cs.

int Microsoft::Samples::DirectX::UtilityToolkit.Dialog::Width`[get, set]`

Dialogs width.

Definition at line 502 of file dxmutgui.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXCommon/dxmutgui.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/dxmutgui.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/wdxmutgui.cs